/*  Sonicmail - POP3 email notifier
 *  Copyright (C) 2000  Cameron Edwards
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef SONICMAIL_CALLBACKS_H_INCLUDED
#define SONICMAIL_CALLBACKS_H_INCLUDED

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <signal.h>

#include <applet-widget.h>
#include <libgnome/gnome-config.h>

#include "sonicmail-vars.h"
#include "sonicmail-pixmap.h"
#include "sonicmail-properties.h"
#include "sonicmail-debug.h"


void sonicmail_callbacks_init(SonicmailVars *vars);
void sonicmail_about(AppletWidget *caller, gpointer data);
void sonicmail_properties(AppletWidget *caller, gpointer data);
gint sonicmail_finish(GtkWidget *w, gpointer data);
void sonicmail_prop_changed(GtkWidget *w, gpointer data);
void sonicmail_prop_apply(GnomePropertyBox *propertybox, gint page_num, gpointer user_data);
void sonicmail_wakeup(GtkWidget *w, GdkEventButton *event, gpointer data);
void sonicmail_wakeup_adapter(AppletWidget *w, gpointer data);

#endif
