/*  Sonicmail - POP3 email notifier
 *  Copyright (C) 2000  Cameron Edwards
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef SONICMAIL_MAILCHECK_H_INCLUDED
#define SONICMAIL_MAILCHECK_H_INCLUDED

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <pthread.h>
#include <signal.h>

#include <applet-widget.h>
#include <libgnome/gnome-config.h>

#include "sonicmail-debug.h"
#include "sonicmail-vars.h"
#include "sonicmail-pixmap.h"
#include "sonicmail-sound.h"
#include "net.h"

#define POP3_PORT 110

void *sonicmail_mailcheck_thread(void *data);
void sig_handler(int signum);
void sonicmail_mailcheck_go(char *servername, char *username, char *passwd, enum SonicmailState *new_state, int *new_num_mails);
int sonicmail_mailcheck_recv(int sock, char *buff, int size);
#endif
