/*  Sonicmail - POP3 email notifier
 *  Copyright (C) 2000  Cameron Edwards
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include "sonicmail-main.h"


int main(int argc, char **argv)
{
   SonicmailVars *vars;
   pthread_t net_thread;
   
   g_thread_init(NULL);
   applet_widget_init("sonicmail", NULL, argc, argv, NULL, 0, NULL);
   
   sonicmail_vars_init(&vars);
   sonicmail_properties_load(vars);
   sonicmail_callbacks_init(vars);
   
   gtk_widget_show(vars->applet);
   pthread_create(&net_thread, NULL, sonicmail_mailcheck_thread, (void *)vars);
   sleep(1);
   
   gdk_threads_enter();
      applet_widget_gtk_main();
   gdk_threads_leave();
   
   free(vars);
   return(0);
}
